curl --request GET \
--url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/assignments/{assignment} \
--header 'Authorization: Bearer <token>'{
"name": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/plan-assignments/01JNRVWWHH68E76V3TMFFT6GHJ",
"subscriptionPlan": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"status": "PENDING_ACCEPTANCE",
"buyer": {
"email": "buyer@example.com",
"phoneNumber": "+573215786325",
"firstName": "Santiago",
"lastName": "García"
},
"createTime": "2024-01-15T10:30:00Z",
"firstChargeAmountCents": 3000000,
"redirectUri": "https://example.com/subscription-status",
"acceptanceUrl": "https://checkout.confiopagos.com/s/abc123token",
"acceptanceTokenExpiresAt": "2024-01-22T10:30:00Z",
"currentPeriodStart": "2024-01-15T10:30:00Z",
"currentPeriodEnd": "2024-02-15T10:30:00Z",
"nextBillingTime": "2024-02-15T10:30:00Z"
}Retrieve details of a specific subscription assignment
curl --request GET \
--url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/assignments/{assignment} \
--header 'Authorization: Bearer <token>'{
"name": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/plan-assignments/01JNRVWWHH68E76V3TMFFT6GHJ",
"subscriptionPlan": "organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ",
"status": "PENDING_ACCEPTANCE",
"buyer": {
"email": "buyer@example.com",
"phoneNumber": "+573215786325",
"firstName": "Santiago",
"lastName": "García"
},
"createTime": "2024-01-15T10:30:00Z",
"firstChargeAmountCents": 3000000,
"redirectUri": "https://example.com/subscription-status",
"acceptanceUrl": "https://checkout.confiopagos.com/s/abc123token",
"acceptanceTokenExpiresAt": "2024-01-22T10:30:00Z",
"currentPeriodStart": "2024-01-15T10:30:00Z",
"currentPeriodEnd": "2024-02-15T10:30:00Z",
"nextBillingTime": "2024-02-15T10:30:00Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"01G65Z755AFWAKHE12NY0CQ9FH"
"01JNRVWWHH68E76V3TMFFT6GHJ"
Successfully fetched plan assignment.
Plan assignment's resource name
"organizations/01JNRR1NY8MDX4XCGG0N4F06X3/plan-assignments/01JNRVWWHH68E76V3TMFFT6GHJ"
Resource name of the assigned subscription plan
"organizations/01JNRR1NY8MDX4XCGG0N4F06X3/stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ"
Assignment status
ASSIGNMENT_STATUS_UNSPECIFIED, PENDING_ACCEPTANCE, ACTIVE, TRIALING, PAST_DUE, CANCELED, EXPIRED, SUSPENDED "PENDING_ACCEPTANCE"
Buyer information
Show child attributes
Creation timestamp
"2024-01-15T10:30:00Z"
Optional first charge amount in cents (only for the first charge)
3000000
Optional redirect URI after assignment payment
"https://example.com/subscription-status"
URL for buyer to accept the subscription (only available when status is PENDING_ACCEPTANCE)
"https://checkout.confiopagos.com/s/abc123token"
Expiration time of the acceptance token
"2024-01-22T10:30:00Z"
Start of current billing period
"2024-01-15T10:30:00Z"
End of current billing period
"2024-02-15T10:30:00Z"
Next billing date
"2024-02-15T10:30:00Z"